package org.greenstone.gsdl3.util;

import java.util.Vector;
import org.greenstone.gsdl3.util.UserTermInfo;

public class UserQueryResult{
    /** the list of UserInfo */
    public Vector users_=null;

    UserQueryResult(){
	users_=new Vector();
    }

    public void clear(){
	users_.clear();
    }

    public void addUserTerm(String username, String password, String groups, String accountstatus, String comment){
	UserTermInfo ui=new UserTermInfo();
	ui.username_=username;
	ui.password_=password;
	ui.groups_=groups;
	ui.accountstatus_=accountstatus;
	ui.comment_=comment;
	users_.add(ui);
    }

    public Vector getUserTerms(){
	return users_;
    }

    public String toString(){
	String result="";
	for (int i=0;i<users_.size();i++){
	    result +=((UserTermInfo)users_.elementAt(i)).toString()+", ";
	}
	
	return result;
    }

    public int getSize(){
	return users_.size();
    }
}
